org.jbpm.marshalling.impl

## Interface JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode, JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode.Builder
  Enclosing class:
    JBPMMessages.ProcessInstance.NodeInstanceContent

      public static interface JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JBPMMessages.IterationLevel` | `getIterationLevels(int index)` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 3;`
    `int` | `getIterationLevelsCount()` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 3;`
    `List<JBPMMessages.IterationLevel>` | `getIterationLevelsList()` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 3;`
    `JBPMMessages.IterationLevelOrBuilder` | `getIterationLevelsOrBuilder(int index)` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 3;`
    `List<? extends JBPMMessages.IterationLevelOrBuilder>` | `getIterationLevelsOrBuilderList()` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 3;`
    `JBPMMessages.ProcessInstance.NodeInstance` | `getNodeInstance(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
    `int` | `getNodeInstanceCount()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
    `List<JBPMMessages.ProcessInstance.NodeInstance>` | `getNodeInstanceList()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
    `JBPMMessages.ProcessInstance.NodeInstanceOrBuilder` | `getNodeInstanceOrBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
    `List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder>` | `getNodeInstanceOrBuilderList()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`
    `int` | `getSequentialCounter()` `optional int32 sequential_counter = 4;`
    `long` | `getTimerInstanceId(int index)` `repeated int64 timer_instance_id = 5;`
    `int` | `getTimerInstanceIdCount()` `repeated int64 timer_instance_id = 5;`
    `List<Long>` | `getTimerInstanceIdList()` `repeated int64 timer_instance_id = 5;`
    `JBPMMessages.Variable` | `getVariable(int index)` `repeated .org.jbpm.marshalling.Variable variable = 2;`
    `int` | `getVariableCount()` `repeated .org.jbpm.marshalling.Variable variable = 2;`
    `List<JBPMMessages.Variable>` | `getVariableList()` `repeated .org.jbpm.marshalling.Variable variable = 2;`
    `JBPMMessages.VariableOrBuilder` | `getVariableOrBuilder(int index)` `repeated .org.jbpm.marshalling.Variable variable = 2;`
    `List<? extends JBPMMessages.VariableOrBuilder>` | `getVariableOrBuilderList()` `repeated .org.jbpm.marshalling.Variable variable = 2;`
    `boolean` | `hasSequentialCounter()` `optional int32 sequential_counter = 4;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### getNodeInstanceList

          List<JBPMMessages.ProcessInstance.NodeInstance> getNodeInstanceList()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`

    - #### getNodeInstance

          JBPMMessages.ProcessInstance.NodeInstance getNodeInstance(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`

    - #### getNodeInstanceCount

          int getNodeInstanceCount()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`

    - #### getNodeInstanceOrBuilderList

          List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder> getNodeInstanceOrBuilderList()

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`

    - #### getNodeInstanceOrBuilder

          JBPMMessages.ProcessInstance.NodeInstanceOrBuilder getNodeInstanceOrBuilder(int index)

      `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 1;`

    - #### getVariableList

          List<JBPMMessages.Variable> getVariableList()

      `repeated .org.jbpm.marshalling.Variable variable = 2;`

    - #### getVariable

          JBPMMessages.Variable getVariable(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 2;`

    - #### getVariableCount

          int getVariableCount()

      `repeated .org.jbpm.marshalling.Variable variable = 2;`

    - #### getVariableOrBuilderList

          List<? extends JBPMMessages.VariableOrBuilder> getVariableOrBuilderList()

      `repeated .org.jbpm.marshalling.Variable variable = 2;`

    - #### getVariableOrBuilder

          JBPMMessages.VariableOrBuilder getVariableOrBuilder(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 2;`

    - #### getIterationLevelsList

          List<JBPMMessages.IterationLevel> getIterationLevelsList()

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 3;`

    - #### getIterationLevels

          JBPMMessages.IterationLevel getIterationLevels(int index)

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 3;`

    - #### getIterationLevelsCount

          int getIterationLevelsCount()

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 3;`

    - #### getIterationLevelsOrBuilderList

          List<? extends JBPMMessages.IterationLevelOrBuilder> getIterationLevelsOrBuilderList()

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 3;`

    - #### getIterationLevelsOrBuilder

          JBPMMessages.IterationLevelOrBuilder getIterationLevelsOrBuilder(int index)

      `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 3;`

    - #### hasSequentialCounter

          boolean hasSequentialCounter()

      `optional int32 sequential_counter = 4;`

    - #### getSequentialCounter

          int getSequentialCounter()

      `optional int32 sequential_counter = 4;`

    - #### getTimerInstanceIdList

          List<Long> getTimerInstanceIdList()

      `repeated int64 timer_instance_id = 5;`

    - #### getTimerInstanceIdCount

          int getTimerInstanceIdCount()

      `repeated int64 timer_instance_id = 5;`

    - #### getTimerInstanceId

          long getTimerInstanceId(int index)

      `repeated int64 timer_instance_id = 5;`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.